View Issue Details

IDProjectCategoryView StatusLast Update
0036158LazarusWidgetsetpublic2019-10-14 11:17
ReporterHans LuijtenAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformCocoaOSmacOSOS Version10.14.x
Product Version2.0.5 (SVN)Product Build62008 
Target VersionFixed in Version 
Summary0036158: TEDit not firing OnChange when echoMode=emPassword
DescriptionThe TEdit "OnChange" event never fires when "echoMode" is set to "emPassword".
Under Windows this event does fire.

Note: The "OnKeyUp" event does fire just fine, so I use this as a workaround right now.
Steps To ReproduceAdd TEDit and TLabel to a new form, and add an OnChange event to the TEdit which sets the TLabel caption to the TEdit text.

unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    procedure Edit1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Edit1Change(Sender: TObject);
begin
  Label1.Caption:=Edit1.Text;
end;

end.
Additional InformationLazarus 2.1.0 r62008M
FPC 3.0.4
x86_64-darwin-cocoa (beta)

Forum post: https://forum.lazarus.freepascal.org/index.php/topic,47012.0.html
TagsNo tags attached.
Fixed in Revision62054
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2019-10-14 05:16

developer   ~0118577

please test and close if ok

Hans Luijten

2019-10-14 11:17

reporter   ~0118582

Confirmed: Your fix works well! Thanks again Dmitry! 😊

Issue History

Date Modified Username Field Change
2019-10-09 16:37 Hans Luijten New Issue
2019-10-10 12:44 Bart Broersma Assigned To => Dmitry Boyarintsev
2019-10-10 12:44 Bart Broersma Status new => assigned
2019-10-14 05:16 Dmitry Boyarintsev Status assigned => resolved
2019-10-14 05:16 Dmitry Boyarintsev Resolution open => fixed
2019-10-14 05:16 Dmitry Boyarintsev Fixed in Revision => 62054
2019-10-14 05:16 Dmitry Boyarintsev LazTarget => -
2019-10-14 05:16 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-10-14 05:16 Dmitry Boyarintsev Note Added: 0118577
2019-10-14 11:17 Hans Luijten Status resolved => closed
2019-10-14 11:17 Hans Luijten Note Added: 0118582